<?php
# Copyright(C) 2007 INL
# Written by Victor Stinner <victor.stinner AT inl.fr>
#
# $Id: load_config.php 12795 2008-02-13 14:22:07Z haypo $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

require_once('nuphp/debug.php');
require_once('default_config.php');
if (file_exists('include/config.php')) require_once('include/config.php');

readDebugLevel();

# Fix linked options if needed
if (!$debug_nuface)
    $debug_nuface_verbose = false;

if ($nufw_firewall) {
    $nupyf_use_ulog = true;
} else {
    $support_periods = false;
}

# Change PHP error report level
error_reporting(E_ALL);

?>
