/*
Copyright(C) 2004-2006 INL
Written by Eric Leblond <regit@inl.fr>
           Vincent Deffontaines <gryzor@inl.fr>
           Jean Gillaux <jean@inl.fr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 2 of the License.

 This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

function initiate(elt){
  var temp;
  var cookieArray;
  var cookieArray2;
  var cookieCount=0;
  var li_list, ul_list;

  if(document.cookie){
    cookieArray=document.cookie.split(";");
    cookieArray2=new Array();

    for(var i in cookieArray){
      var key, value;
      key = cookieArray[i].split("=");
      value = key[1].replace(/ /g,"")
      key = key[0].replace(/ /g,"");
      cookieArray2[key]=value;
    }
  }

  if ("state" in cookieArray2) {
      cookieArray = cookieArray2["state"].split(",");
  } else {
      cookieArray = new Array();
  }

  temp=document.getElementById("containerul");

  li_list = temp.getElementsByTagName("li");

  for(var o=0;o<li_list.length;o++){
    var li_item = li_list[o];
    var ul_list = li_item.getElementsByTagName("ul");
    var temp2;

    if(ul_list.length>0){
      temp2                             = document.createElement("span");
      temp2.className                   = "symbols";
      temp2.style.backgroundImage       = (cookieArray.length>0)?((cookieArray[cookieCount]=="true")?"url(images/minus.png)":"url(images/plus.png)"):"url(images/plus.png)";
      temp2.onclick=function(){
        showhide(this.parentNode);
        writeCookie(temp);
      }

      li_item.insertBefore(temp2,li_item.firstChild)

      ul_list[0].style.display = "none";

      if(cookieArray[cookieCount]=="true"){
        showhide(li_item);
      }

      cookieCount++;

    } else{
      temp2                             = document.createElement("span");
      temp2.className                   = "symbols";
      temp2.style.backgroundImage       = "url(images/page.png)";

      li_item.insertBefore(temp2, li_item.firstChild);
    }
  }

  if (elt) {
    show_by_id(elt);
    writeCookie(temp);
  }
}



function showhide(el){

  el.getElementsByTagName("ul")[0].style.display=(el.getElementsByTagName("ul")[0].style.display=="block")?"none":"block";

  el.getElementsByTagName("span")[0].style.backgroundImage=(el.getElementsByTagName("ul")[0].style.display=="block")?"url(images/minus.png)":"url(images/plus.png)";

}

function show_by_id(eltid) {
  el=document.getElementById("elt_"+eltid);
  spantab = el.getElementsByTagName("span");
  ultab = el.getElementsByTagName("ul");
  if (spantab.length > 0 && ultab.length > 0 && spantab[0].className == "symbols") {
    ultab[0].style.display="block";
    spantab[0].style.backgroundImage="url(images/minus.png)";
  }
}

function hide_all_objects() {
  var temp = document.getElementById("containerul");
  elttab = temp.getElementsByTagName("li");
  for (var o=0; o<elttab.length; o++) {
    el = elttab[o];
    spantab = el.getElementsByTagName("span");
    ultab = el.getElementsByTagName("ul");
    if (spantab.length > 0 && ultab.length > 0 && spantab[0].className == "symbols") {
      ultab[0].style.display="none";
      spantab[0].style.backgroundImage="url(images/plus.png)";
    }
  }
  writeCookie(temp);
}

function show_all_objects() {
  var temp = document.getElementById("containerul");
  elttab = temp.getElementsByTagName("li");
  for (var o=0; o<elttab.length; o++) {
    el = elttab[o];
    spantab = el.getElementsByTagName("span");
    ultab = el.getElementsByTagName("ul");
    if (spantab.length > 0 && ultab.length > 0 && spantab[0].className == "symbols") {
      ultab[0].style.display="block";
      spantab[0].style.backgroundImage="url(images/minus.png)";
    }
  }
  writeCookie(temp);
}

// Runs through the menu and puts the "states" of each nested list into an array, the array is then joined together and assigned to a cookie.
function writeCookie(temp){
  var cookieArray=new Array()

  for(var q=0;q<temp.getElementsByTagName("li").length;q++){

    if(temp.getElementsByTagName("li")[q].childNodes.length>0){
      if(temp.getElementsByTagName("li")[q].childNodes[0].nodeName=="SPAN" && temp.getElementsByTagName("li")[q].getElementsByTagName("ul").length>0){

        cookieArray[cookieArray.length]=(temp.getElementsByTagName("li")[q].getElementsByTagName("ul")[0].style.display=="block");

      }
    }

  }

  document.cookie="state="+cookieArray.join(",")+";expires="+new Date(new Date().getTime() + 12*60*60*1000).toGMTString();
}

var blnOk=true;

function MontrerMenu(strMenu,param) {
  if(blnOk) {
    CacherMenus(param);
    document.getElementById(strMenu).style.visibility="visible";
  }
}

function CacherMenus(param) {
  if(blnOk) {
    for(i=1;i<=param;i++) {
      with(document.getElementById("ssmenu"+i).style) {
        visibility="hidden";
      }
    }
  }
}

function griser_mark() {
  with(document.form) {
    if(vpn.checked=="1") mark.disabled=false;
    else {
      mark.value='';
      mark.disabled=true;
    }
  }
}

function remove_dummy_name() {
  with(document.form) {
    if ((name.value=="_nufw") || (name.value=="_ipv4") || (name.value=="_l7rule") || (name.value=="_local_ipv4") || (name.value=="_link") || (name.value=="_app") || (name.value=="_period"))
    {
      name.value='';
    }
  }
}

function griser_type() {
  if (!document.forms.type)
    return;
  with(document.forms.type) {
    if(proto.options[proto.options.selectedIndex].text=="icmp") icmptype.disabled=false;
    else {
      icmptype.value='--';
      icmptype.disabled=true;
    }
    if((proto.options[proto.options.selectedIndex].text=="tcp") || (proto.options[proto.options.selectedIndex].text=="udp")) {
      sport.disabled=false;
      dport.disabled=false;
    }
    else {
      sport.value='';
      sport.disabled=true;
      dport.value='';
      dport.disabled=true;
    }
  }
}

function griser_period() {
  with(document.forms.period) {
    if(periodtype.options[periodtype.options.selectedIndex].text=="duration") duration.disabled=false;
    else {
      duration.value='';
      duration.disabled=true;
    }
    if(  (periodtype.options[periodtype.options.selectedIndex].text=="dates")
      || (periodtype.options[periodtype.options.selectedIndex].text=="days")
      || (periodtype.options[periodtype.options.selectedIndex].text=="hours")
      ) {
      start.disabled=false;
      stop.disabled=false;
    }
    else {
      start.value='';
      start.disabled=true;
      stop.value='';
      stop.disabled=true;
    }
  }
}

function griser_natproto() {
  with(document.forms.natproto) {
    if(proto.options[proto.options.selectedIndex].text=="icmp")
      icmptype.disabled=false;
    else {
      icmptype.value='--';
      icmptype.disabled=true;
    }
    if((proto.options[proto.options.selectedIndex].text=="tcp") || (proto.options[proto.options.selectedIndex].text=="udp")) {
      sport.disabled=false;
      dport.disabled=false;
      if (typeof(nat_port) != 'undefined')
          nat_port.disabled=false;
      if (typeof(rand_sport) != 'undefined')
          rand_sport.disabled=false;
    }
    else {
      sport.value='';
      sport.disabled=true;
      dport.value='';
      dport.disabled=true;
      nat_port.disabled=true;  /* A port redirection needs a protocol (avoid
              "Need TCP or UDP with port specification" iptables error). */
      if (typeof(rand_sport) != 'undefined') {
          rand_sport.checked=false;
          rand_sport.disabled=true;
      }
    }
  }
}
function numOrdA(a, b){ return (a-b); }

/* Verify order of liste identified by id */
function ask_list_change(ids)
{
    tch = new Array();
    // algomerate change on all ids
    global_change = false;
    // for each id, get actual order, and compare it to sorted list
    for (idnum in ids){
        id = ids[idnum];
        change = false;
        var test = document.getElementById(id);
        if (test){
            list = junkdrawer.serializeList(test);
            tab = list.split('|');
            tab_sort = list.split('|');
            tab_sort.sort();
            for (i=0; i<tab.length; i++){
                tab[i] = parseInt(tab[i]);
                tab_sort[i] = parseInt(tab_sort[i]);
            }
            tab_sort.sort(numOrdA);
            change = false;
            for (i=0; i<tab.length; i++){
                if (tab_sort[i] != tab[i]){
                    change = true;
                    break;
                }
            }
            if (tab == 'NaN') {
                change = false;
            }
            if(change == true){
                tch[id] = true;
            }else{
                tch[id] = false;
            }

        }
    }
    //verify if one list order has been changed
    for (id in tch){
        ch = tch[id];
        if(ch == true){
           global_change=true;
        }
    }
    return global_change;
}

/* Reset order of dnd list objects modified by user */
function resetOrder(listID){
  var list = document.getElementById(listID)
    if (list == null) {return;}
  var items = ToolMan.junkdrawer()._itemsByID(list);
  for (i=0; i<items.length; i++){
    if (i in items){
      var item = items[i];
      s= i+' '+item.innerHTML;
      list.removeChild(item);
      list.insertBefore(item, null);
    }
  }
}

/* get elt with elt_id */
function _get_elt(elt_id){
    var elt;
    if (document.getElementById){
        elt = document.getElementById(elt_id);
    }else if(document.all){
        elt = document.all[elt_id];
    }
    return elt;
}
/* Hide element referenced by attribute id=elt_id*/
function hide(elt_id){
    var elt = _get_elt(elt_id)
    elt.style.display = 'none';
}

/* hide all elements in array elts */
function hide_all(elts){
    for(i=0; i<elts.length; i++){
        hide(elts[i]);
    }
}

/* Show element referenced by attribute id=elt_id*/
function show(elt_id){
    var elt = _get_elt(elt_id);
    elt.style.display = 'block';
}

/* Show ot Hide element */
function showhide2(elt_id){
    var state = 'none';
    var elt = _get_elt(elt_id);

    state = elt.style.display;
    if (state == 'none' ){
        elt.style.display = 'block';
    }else{
        elt.style.display = 'none';
    }
}


/*
 * Mise à jour in/out acls
 * + connexion ajax pour la liste des acls si les
 *   chaines sont renseignés
 */
var in_out = Array();
in_out[0] = null;
in_out[1] = null;
function update_inout(e, v){
    var i = 0;
    if (e=='dir_out'){
        i = 1;
    }
    in_out[i] = v;

    v_in = in_out[0];
    v_out = in_out[1];
    if(v_in != null && v_out != null){
        v_in=v_in.split('d_')[1];
        v_out=v_out.split('d_')[1];
        s_bich = 'bi_'+v_in+'-'+v_out;
        s_bich_arg=v_in+'-'+v_out;
        /* Get bichains by Ajax */
        YAHOO.util.Connect.asyncRequest('GET', 'aclajax.php?bichain='+s_bich_arg, callback1,
                                'bichain=INTRANET-DMZ');
        /* Close panel */
        YAHOO.example.panel_bichains.dlg.hide();
    }
}

/*
 make a call to aclajax.php
 to display X-ALL or ALL-X bichains
*/
function ajax_all_acls(){
    //get networks name in DnD targets
    ch_in = in_out[0];
    ch_out = in_out[1];

    url = 'aclajax.php?'
    if (ch_in != null){
        ch_in = ch_in.split('d_')[1];
        YAHOO.util.Connect.asyncRequest('GET', url+'chainfrom='+ch_in, callback1,
                                'bichain=INTRANET-DMZ');
    }else if(ch_out != null){
        ch_out = ch_out.split('d_')[1];
        YAHOO.util.Connect.asyncRequest('GET', url+'chainto='+ch_out, callback1,
                                'bichain=INTRANET-DMZ');
    }
    YAHOO.example.panel_bichains.dlg.hide();
}

function IncrementValue(param){
  i=param;
  document.floatform.i.value = (i.value++);
}

function montre_global(base,id) {
	var d = document.getElementById(id);
	var state, node;
	if (d)
		state=d.style.display;
	for (var i = 1; i<=10; i++) {
                node = document.getElementById(base+i)
		if (node) {
                    node.style.display='none';
                }
	}
	if (d) {
		if (state!='block'){
			d.style.display='block';
		} else {
			d.style.display='none';
		}
	}
}

