#!/usr/bin/env python

import sys, os, getopt
from distutils.core import setup, Extension

version_string = "1.2"

#if sys.version_info[:2] < (2,2):
	#print "Sorry, duplicity requires version 2.2 or later of python"
	#sys.exit(1)

setup(name="nulayer7",
	  version=version_string,
	  description="L7 filter rules generator for netfilter",
	  author="Damien Boucard",
	  author_email="nuface@i<F2>nl.fr",
	  url="http://software.inl.fr/trac/wiki/EdenWall/NuFace",
	  license="GPL",
	  packages = ['nulayer7'],
          scripts=["scripts/nulayer7"],
	  )


